Subject: Re: Using glib's g_file_monitor_file and g_file_monitor_directory

From: Michael Albinus <[email-masked]>
Date: Fri, 31 May 2013 22:59:59 +0200

Paul Eggert <[email-masked]> writes:

>> You've put the lines inside #ifdef USE_GTK. However, glib could be
>> linked to Emacs without using gtk. We might need another check, like
>> #ifdef USE_GLIB. This would be useful in other places, too.
>
> That might make sense in the long run, if Emacs is built that way.
> But as I understand it, currently Emacs links to glib only when
> using Gtk, so the workaround is OK under the current framework.

The g_file_monitor patch I've shown uses glib. No gtk. And the same is
true for gconf and gsettings, IIUC.

> I do see the problem that you mention.  I think a better fix, though,
> is to redo Emacs to use the glib child watcher code -- that will fix
> the problem that you mention, along with the problem for Emacs itself.

Yep, this might be better.

Best regards, Michael.